Bug 177530 - kickstart package selection not working
kickstart package selection not working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 11:50 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-12 18:14:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-01-11 11:50:13 EST
Description of problem:
Using the following package selection:

%packages
#@ Core
-ash
-lilo
#@ Base
-dump
krb5-workstation
-up2date
#@ Development Libs
strace
#@ Dialup Networking Support
-isdn4k-utils
#@ Mail Server
sendmail-cf
#@ Legacy Software Development
compat-libstdc++-33
@ X Window System
-firstboot
-gdm
-rhn-applet
-up2date-gnome
-xisdnload
#Other
jfsutils
smartmontools
sysstat
memtest86+
@ Administration Tools
@ Authoring and Publishing
#@ Development Tools
ddd
vim-X11
#@ Eclipse
eclipse-cdt
#@ GNOME Desktop Environment
control-center
hwbrowser
@ Graphical Internet
-evolution
-evolution-webcal
gftp
thunderbird
#-mozilla
mozilla-mail
#-mozilla-nspr
@ Graphics
@ KDE (K Desktop Environment)
kdeadmin
kdepim
#@ KDE Software Development
kdesdk
@ Office/Productivity
#-openoffice.org
#-openoffice.org-i18n
#-openoffice.org-libs
@ Sound and Video
-rhythmbox
-sound-juicer
#@ System Tools
rdesktop
vnc
#@ X Software Development
xorg-x11-devel
@ X Window System
#Other
freeglut
jpilot
openmotif21
#Extras
kile
plplot-octave
#@ Development Tools
cvs
gcc-c++
gcc-gfortran
gdb
libjpeg-devel
subversion
zlib-devel
@ Editors
@ Emacs
@ Engineering and Scientific
@ Printing Support
@ System Tools
-ckermit
-ethereal
-nmap
@ Text-based Internet
lynx
@ Windows File Server
#Other
enscript
#Extras
kdesvn
#CoRA
ftnchek
fsplit
kbibtex
transcode
@ Dialup Networking Support
-mdadm
#Extras
gv

All of the deselected packages are still installed.

Also, some core group packages (from comps.xml) are not installed, including:
audit, hdparm, prelink, selinux-policy-targeted (this really breaks things!),
setserial, and rootfiles

Version-Release number of selected component (if applicable):
anaconda-10.91.0-1
Comment 1 Orion Poplawski 2006-01-12 17:45:47 EST
Okay, partly fixed with anaconda-10.91.4-1, but not all.

The core group packages are now all installed.  Good.

But, the packages I requested skipped were not.  Specifically:

-ckermit
-dump
-evince
-evolution
-evolution-webcal
-firstboot
-gdm
-isdn4k-utils
-mdadm
-nmap
-rhythmbox
-sound-juicer
Comment 2 Jeremy Katz 2006-01-12 18:14:49 EST
Yeah, Chris then fixed this up this afternoon (unfortunately, not in time for test2)

Note You need to log in before you can comment on or make changes to this bug.